
import java.io.*;

public class constr01 {
  static public void main(String[] args) {
    new Sandwich();
    pause();
  }
   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

} // constr01

class Speisen {
  public Speisen() {
    System.out.println("Speisen");
  }
}

class Brot {
  public Brot() {
    System.out.println("Brot");
  }
}

class Kaese {
  public Kaese() {
    System.out.println("Kaese");
  }
}

class Salat {
  public Salat() {
    System.out.println("Salat");
  }
}

class Mittagessen extends Speisen {
  public Mittagessen() {
    System.out.println("Mittagessen");
  }
}

class MensaEssen extends Mittagessen {
  public MensaEssen() {
    System.out.println("MensaEssen");
  }
}

class Sandwich extends MensaEssen {
 Brot b = new Brot ();
 Kaese k = new Kaese();
 Salat s = new Salat();

 Sandwich() {
	System.out.println("Sandwich");
 }



}

